Date: Wednesday, March 25, 2020 @ 07:24:04
  Author: svenstaro
Revision: 604042

upgpkg: tensorflow 2.2.0rc1-2: Depend on python-astunparse and use avx2_linux 
config on opt packages

Modified:
  tensorflow/trunk/PKGBUILD

----------+
 PKGBUILD |   19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD    2020-03-25 06:31:05 UTC (rev 604041)
+++ PKGBUILD    2020-03-25 07:24:04 UTC (rev 604042)
@@ -7,7 +7,7 @@
 pkgname=(tensorflow tensorflow-opt tensorflow-cuda tensorflow-opt-cuda 
python-tensorflow python-tensorflow-opt python-tensorflow-cuda 
python-tensorflow-opt-cuda)
 pkgver=2.2.0rc1
 _pkgver=2.2.0-rc1
-pkgrel=1
+pkgrel=2
 pkgdesc="Library for computation using data flow graphs for scalable machine 
learning"
 url="https://www.tensorflow.org/";
 license=('APACHE')
@@ -45,6 +45,9 @@
   # MKLML version that Tensorflow wants to use is 
https://github.com/intel/mkl-dnn/releases/tag/v0.21
   patch -Np1 -d tensorflow-${_pkgver} -i 
"$srcdir"/build-against-actual-mkl.patch
 
+  # Compile with C++17 by default (FS#65953)
+  #sed -i "s/c++14/c++17/g" tensorflow-${_pkgver}/.bazelrc
+
   cp -r tensorflow-${_pkgver} tensorflow-${_pkgver}-opt
   cp -r tensorflow-${_pkgver} tensorflow-${_pkgver}-cuda
   cp -r tensorflow-${_pkgver} tensorflow-${_pkgver}-opt-cuda
@@ -105,7 +108,7 @@
   export TF_NEED_CUDA=0
   ./configure
   bazel \
-    build --config=mkl -c opt \
+    build --config=mkl --config=avx2_linux -c opt \
       //tensorflow:libtensorflow.so \
       //tensorflow:libtensorflow_cc.so \
       //tensorflow:install_headers \
@@ -127,7 +130,7 @@
   bazel-bin/tensorflow/tools/pip_package/build_pip_package --gpu 
"${srcdir}"/tmpcuda
 
 
-  echo "Building with cuda and without non-x86-64 optimizations"
+  echo "Building with cuda and with non-x86-64 optimizations"
   cd "${srcdir}"/tensorflow-${_pkgver}-opt-cuda
   export CC_OPT_FLAGS="-march=haswell -O3"
   export TF_NEED_CUDA=1
@@ -134,7 +137,7 @@
   export TF_CUDA_CLANG=0
   ./configure
   bazel \
-    build --config=mkl -c opt \
+    build --config=mkl --config=avx2_linux -c opt \
       //tensorflow:libtensorflow.so \
       //tensorflow:libtensorflow_cc.so \
       //tensorflow:install_headers \
@@ -234,7 +237,7 @@
 }
 
 package_python-tensorflow() {
-  depends+=(tensorflow python-termcolor python-astor python-gast02 
python-numpy python-protobuf absl-py python-h5py python-keras-applications 
python-keras-preprocessing python-tensorflow-estimator python-opt_einsum)
+  depends+=(tensorflow python-termcolor python-astor python-gast02 
python-numpy python-protobuf absl-py python-h5py python-keras-applications 
python-keras-preprocessing python-tensorflow-estimator python-opt_einsum 
python-astunparse)
 
   cd "${srcdir}"/tensorflow-${_pkgver}
   _python_package tmp
@@ -242,7 +245,7 @@
 
 package_python-tensorflow-opt() {
   pkgdesc="Library for computation using data flow graphs for scalable machine 
learning (with CPU optimizations)"
-  depends+=(tensorflow-opt python-termcolor python-astor python-gast02 
python-numpy python-protobuf absl-py python-h5py python-keras-applications 
python-keras-preprocessing python-tensorflow-estimator python-opt_einsum)
+  depends+=(tensorflow-opt python-termcolor python-astor python-gast02 
python-numpy python-protobuf absl-py python-h5py python-keras-applications 
python-keras-preprocessing python-tensorflow-estimator python-opt_einsum 
python-astunparse)
   conflicts=(python-tensorflow)
   provides=(python-tensorflow)
 
@@ -252,7 +255,7 @@
 
 package_python-tensorflow-cuda() {
   pkgdesc="Library for computation using data flow graphs for scalable machine 
learning (with CUDA)"
-  depends+=(tensorflow-cuda python-termcolor python-astor python-gast02 
python-numpy cuda cudnn python-pycuda python-protobuf absl-py nccl python-h5py 
python-keras-applications python-keras-preprocessing 
python-tensorflow-estimator python-opt_einsum)
+  depends+=(tensorflow-cuda python-termcolor python-astor python-gast02 
python-numpy cuda cudnn python-pycuda python-protobuf absl-py nccl python-h5py 
python-keras-applications python-keras-preprocessing 
python-tensorflow-estimator python-opt_einsum python-astunparse)
   conflicts=(python-tensorflow)
   provides=(python-tensorflow)
 
@@ -262,7 +265,7 @@
 
 package_python-tensorflow-opt-cuda() {
   pkgdesc="Library for computation using data flow graphs for scalable machine 
learning (with CUDA and CPU optimizations)"
-  depends+=(tensorflow-opt-cuda python-termcolor python-astor python-gast02 
python-numpy cuda cudnn python-pycuda python-protobuf absl-py nccl python-h5py 
python-keras-applications python-keras-preprocessing 
python-tensorflow-estimator python-opt_einsum)
+  depends+=(tensorflow-opt-cuda python-termcolor python-astor python-gast02 
python-numpy cuda cudnn python-pycuda python-protobuf absl-py nccl python-h5py 
python-keras-applications python-keras-preprocessing 
python-tensorflow-estimator python-opt_einsum python-astunparse)
   conflicts=(python-tensorflow)
   provides=(python-tensorflow python-tensorflow-cuda)
 

Reply via email to